#ifndef _LCR_SETTINGS_H
#define _LCR_SETTINGS_H

#ifndef LCR_SETTING_RESOLUTION_X
  #define LCR_SETTING_RESOLUTION_X 1024
#endif

#ifndef LCR_SETTING_RESOLUTION_Y
  #define LCR_SETTING_RESOLUTION_Y 768
#endif

#ifndef LCR_SETTING_RESOLUTION_SUBDIVIDE
  #define LCR_SETTING_RESOLUTION_SUBDIVIDE 1
#endif

#ifndef LCR_SETTING_MAX_VERTICES
  /** Maximum number of vertices for 3D rendering. Lower number will decrease
  RAM usage but will prevent larger maps from being loaded. */
  #define LCR_SETTING_MAX_VERTICES 10000
#endif

#ifndef LCR_SETTING_MAX_TRIANGLES
  /** Like LCR_SETTING_MAX_VERTICES but for the number of triangles. */
  #define LCR_SETTING_MAX_TRIANGLES 10000
#endif

#ifndef LCR_SETTING_SKY_SIZE
  /** Size of sky texture pixel, 0 turns off sky rendering. */
  #define LCR_SETTING_SKY_SIZE \
    (LCR_SETTING_RESOLUTION_X / 256 * LCR_SETTING_RESOLUTION_SUBDIVIDE)
#endif

#ifndef LCR_SETTING_MAP_MAX_SIZE
  /** Maximum number of blocks a map can consist of, decreasing will save RAM
    but also rule out loading bigger maps. */
  #define LCR_SETTING_MAP_MAX_SIZE 4096
#endif

#endif // guard
